Returns the providers for the specified environment.
GET
/
environments
/
{environmentId}
/
settings
/
providers
Get the providers for an environment
curl --request GET \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/settings/providers \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.dynamicauth.com/api/v0/environments/{environmentId}/settings/providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.dynamicauth.com/api/v0/environments/{environmentId}/settings/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"providers": [
{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"enabledAt": "2023-11-07T05:31:56Z",
"clientId": "<string>",
"clientSecret": "<string>",
"providerProjectId": "<string>",
"authorizationUrl": "<string>",
"redirectUrl": "<string>",
"defaultChainId": 123,
"defaultChain": "eip155:1",
"keyExportUrl": "<string>",
"termsAcceptedByUser": {
"termsUrl": "<string>",
"email": "jsmith@example.com",
"userId": "95b11417-f18f-457f-8804-68e361f9164f",
"createdAt": "2023-11-07T05:31:56Z"
},
"scopes": "<string>",
"baseAuthUrl": "<string>",
"appleKeyId": "<string>",
"appleTeamId": "<string>",
"shopifyStore": "<string>",
"domain": "<string>",
"accountSid": "<string>",
"twilioNumber": "<string>",
"twilioVerifyServiceSid": "<string>",
"enabledCountries": [
{
"isoCountryCode": "US",
"phoneCountryCode": "An example name"
}
],
"sendgridIpPoolName": "<string>",
"factoryAddress": "<string>",
"paymasterAddress": "<string>",
"passkeyAddress": "<string>",
"sessionAddress": "<string>",
"salt": "<string>",
"multichainAccountAbstractionProviders": [
{
"clientId": "<string>",
"chain": "<string>",
"default": true
}
],
"createNewAccounts": true,
"enableKernelV3Migration": true,
"enableEIP7702": true,
"zerodevBundlerRpcUrl": "<string>",
"zerodevPaymasterRpcUrl": "<string>",
"zerodevKernelDelegationAddress": "<string>",
"zerodevProjectVersion": "<string>",
"returnUrl": "<string>",
"cancelUrl": "<string>"
}
]
}{
"error": "No jwt provided!"
}{
"error": "Access Forbidden"
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Response
List of providers for this project environment
List of authentication provider objects configured for this environment
Show child attributes
Show child attributes
Last modified on August 1, 2026
Was this page helpful?
Previous
Create a provider for the environmentCreates a new provider for the specified environment.
Next
⌘I
Get the providers for an environment
